de.esprit.netsuite.server.abo

## Class ABOAccessList

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.abo.ABOAccessList

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, ServerObject<ServerContext>, java.lang.Cloneable

      public class ABOAccessList
      extends AbstractServerObject<ServerContext>
      implements java.lang.Cloneable

  This class ...
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABOAccessList(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ABOAccessList` | `clone()`
    `protected int` | `configureDumpHeadlineLength()`
    `void` | `deregister(AliveBusinessObject abo, SessionId sessId)` Deregisters the given session from the given ABO.
    `int` | `dumpByABOs(DumpString s)`
    `int` | `dumpBySessions(DumpString s)`
    `int` | `dumpByUser(DumpString ds, SessionId sessId)`
    `void` | `fireChangeMessage(AliveBusinessObject abo, ABOChangeType action)`
    `AliveBusinessObject[]` | `getABOsOfSession(SessionId sessId)`
    `java.util.List<AliveBusinessObject>` | `getAllABOs()`
    `java.util.List<SessionId>` | `getAllAccessingSessions()` Returns a unique sorted list of SessionId's which are currently accessing ABOs in the cache
    `SessionId[]` | `getSessionsOfAbo(AliveBusinessObject abo)` Returns all `SessionId`s that are currently accessing the given ABO.
    `boolean` | `hasSessions(AliveBusinessObject abo)`
    `boolean` | `isbeingAccessed(AliveBusinessObject abo)`
    `void` | `register(AliveBusinessObject abo, SessionId sessId)` Registers the given session for the given ABO.
    `void` | `removeABO(AliveBusinessObject abo)`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ABOAccessList

          public ABOAccessList(ServerContext serverCtx)

  - ### Method Detail

    - #### register

          public void register(AliveBusinessObject abo,
                      SessionId sessId)

      Registers the given session for the given ABO. Thus this session will receive ABOEvents of that ABO.

    - #### deregister

          public void deregister(AliveBusinessObject abo,
                        SessionId sessId)

      Deregisters the given session from the given ABO. Thus this session won't receive any ABOEvents of that ABO any more.

      Note that if an ABO looses its last accessing session it is automatically dropped from the map.

    - #### getAllABOs

          public java.util.List<AliveBusinessObject> getAllABOs()

    - #### getABOsOfSession

          public AliveBusinessObject[] getABOsOfSession(SessionId sessId)

    - #### isbeingAccessed

          public boolean isbeingAccessed(AliveBusinessObject abo)

    - #### removeABO

          public void removeABO(AliveBusinessObject abo)

    - #### hasSessions

          public boolean hasSessions(AliveBusinessObject abo)

    - #### getSessionsOfAbo

          public SessionId[] getSessionsOfAbo(AliveBusinessObject abo)

      Returns all `SessionId`s that are currently accessing the given ABO.
      Returns:
        null if the ABO was not found in cache.

    - #### getAllAccessingSessions

          public java.util.List<SessionId> getAllAccessingSessions()

      Returns a unique sorted list of SessionId's which are currently accessing ABOs in the cache

    - #### fireChangeMessage

          public void fireChangeMessage(AliveBusinessObject abo,
                               ABOChangeType action)

    - #### configureDumpHeadlineLength

          protected int configureDumpHeadlineLength()

      Overrides:
        `configureDumpHeadlineLength` in class `DumpableObject`

    - #### dumpByABOs

          public int dumpByABOs(DumpString s)

    - #### dumpBySessions

          public int dumpBySessions(DumpString s)

    - #### dumpByUser

          public int dumpByUser(DumpString ds,
                       SessionId sessId)

    - #### clone

          public ABOAccessList clone()

      Overrides:
        `clone` in class `java.lang.Object`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.